GXml.ArrayString – GXml-0.20 Reference Manual

# ArrayString

## Object Hierarchy:

## Description:

public class ArrayString : BaseProperty

Convenient class to handle a Element's attribute using a list of pre-defined and unmutable values.

All known sub-classes:

- XsdArrayString

Namespace: GXml
Package: GXml-0.20

## Content:

### Properties:

- public override string? value { owned get; set; }
  {inheritDoc}

### Creation methods:

- public ArrayString ()

### Methods:

- public unowned string[] get_values ()
- public void initialize_strings (owned string[] strs)
  Convenient method to initialize array of values from an array of strings. Values are taken and should not be freed after call initialization.
- public bool is_valid_value ()
  Returns true if current value in attribute is included in the array of values.
- public bool search (string str)
  Check if string is in array
- public void select (int index)
  Select one string from array at index:

### Fields:

- protected string _value
- protected string[] _values

### Inherited Members:

All known members inherited from class GXml.BaseProperty

- validate_value

- value

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref

All known members inherited from interface GXml.Property

- validate_value

- value